Net::DNS::RR::OPENPGPKEY(3)

NAME
Net::DNS::RR::OPENPGPKEY - DNS OPENPGPKEY resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name OPENPGPKEY keys');

DESCRIPTION
Class for OpenPGP Key (OPENPGPKEY) resource records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  keys
    $keys = $rr->keys;
    $rr->keys( $keys );

Base64 encoded representation of the binary OpenPGP public key material.

  keysbin
    $keysbin = $rr->keysbin;
    $rr->keysbin( $keysbin );

Binary representation of the public key material. The key material is a simple concatenation of OpenPGP keys in RFC4880 format.

COPYRIGHT
Copyright (c)2014 Dick Franks

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, draft-ietf-dane-openpgpkey